Subject: Re: bug#1687: emacs bug 1687

From: Juanma Barranquero <[email-masked]>
Date: Thu, 29 Jan 2009 16:12:15 +0100

On Thu, Jan 29, 2009 at 15:29, Relson, David <[email-masked]> wrote:

> Deleting the file makes the warning go away.
>
> I've done some further testing.  With emacs open, the lock file is
> created.  If I open a second copy of emacs, the message appears.

Of course.

> This is a change in behavior.  I used to be able to open multiple copies
> of emacs without error messages.

Yes. It first appeared (in a released version) in Emacs 22.2.

You seem to prefer avoiding the warning and risking losing your desktop. Weird.

> FWIW, due to a hard drive upgrade I have a new installation of emacs
> (v22.1.50.10).  Previously I was running v22.1.1

Yes, the feature was added three weeks after the 22.1 release.

Why are you running 22.1.50? I'd recommend getting 22.3, which has
many bugfixes over what you're using now.

    Juanma